import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { User } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface UserCU extends ConditionUtil<UserCU> {
    ID: FieldUtil<UserCU>;
    CODE: FieldUtil<UserCU>;
    NAME: FieldUtil<UserCU>;
    SEX: FieldUtil<UserCU>;
    NICKNAME: FieldUtil<UserCU>;
    AVATAR: FieldUtil<UserCU>;
    TELEPHONE: FieldUtil<UserCU>;
    IDENTITY_NO: FieldUtil<UserCU>;
    BIRTH_DAY: FieldUtil<UserCU>;
    PASSWORD: FieldUtil<UserCU>;
    EMAIL: FieldUtil<UserCU>;
    BIZ_STATUS: FieldUtil<UserCU>;
    CREATE_USER_ID: FieldUtil<UserCU>;
    UPDATE_USER_ID: FieldUtil<UserCU>;
    REMARK: FieldUtil<UserCU>;
    CREATE_TIME: FieldUtil<UserCU>;
    UPDATE_TIME: FieldUtil<UserCU>;
    STATE: FieldUtil<UserCU>;
    LANGUAGE_CODE: FieldUtil<UserCU>;
    TELEPHONE_AREA_CODE: FieldUtil<UserCU>;
}
declare class UserMU extends TableUtilImpl<UserCU, User> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): UserCU;
    static get ID(): FieldUtil<UserCU>;
    static get CODE(): FieldUtil<UserCU>;
    static get NAME(): FieldUtil<UserCU>;
    static get SEX(): FieldUtil<UserCU>;
    static get NICKNAME(): FieldUtil<UserCU>;
    static get AVATAR(): FieldUtil<UserCU>;
    static get TELEPHONE(): FieldUtil<UserCU>;
    static get IDENTITY_NO(): FieldUtil<UserCU>;
    static get BIRTH_DAY(): FieldUtil<UserCU>;
    static get PASSWORD(): FieldUtil<UserCU>;
    static get EMAIL(): FieldUtil<UserCU>;
    static get BIZ_STATUS(): FieldUtil<UserCU>;
    static get CREATE_USER_ID(): FieldUtil<UserCU>;
    static get UPDATE_USER_ID(): FieldUtil<UserCU>;
    static get REMARK(): FieldUtil<UserCU>;
    static get CREATE_TIME(): FieldUtil<UserCU>;
    static get UPDATE_TIME(): FieldUtil<UserCU>;
    static get STATE(): FieldUtil<UserCU>;
    static get LANGUAGE_CODE(): FieldUtil<UserCU>;
    static get TELEPHONE_AREA_CODE(): FieldUtil<UserCU>;
    get ID(): FieldUtil<UserCU>;
    get CODE(): FieldUtil<UserCU>;
    get NAME(): FieldUtil<UserCU>;
    get SEX(): FieldUtil<UserCU>;
    get NICKNAME(): FieldUtil<UserCU>;
    get AVATAR(): FieldUtil<UserCU>;
    get TELEPHONE(): FieldUtil<UserCU>;
    get IDENTITY_NO(): FieldUtil<UserCU>;
    get BIRTH_DAY(): FieldUtil<UserCU>;
    get PASSWORD(): FieldUtil<UserCU>;
    get EMAIL(): FieldUtil<UserCU>;
    get BIZ_STATUS(): FieldUtil<UserCU>;
    get CREATE_USER_ID(): FieldUtil<UserCU>;
    get UPDATE_USER_ID(): FieldUtil<UserCU>;
    get REMARK(): FieldUtil<UserCU>;
    get CREATE_TIME(): FieldUtil<UserCU>;
    get UPDATE_TIME(): FieldUtil<UserCU>;
    get STATE(): FieldUtil<UserCU>;
    get LANGUAGE_CODE(): FieldUtil<UserCU>;
    get TELEPHONE_AREA_CODE(): FieldUtil<UserCU>;
}
export { UserMU, UserCU };
